Bug 21942 - PCL printers that also support PJL
PCL printers that also support PJL
Product: Red Hat Linux
Classification: Retired
Component: rhs-printfilters (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
Depends On:
  Show dependency treegraph
Reported: 2000-12-08 09:41 EST by Need Real Name
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-12-08 09:41:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-12-08 09:41:10 EST
I have a Minolta pageworks printer that emulates PCL5e and supports
PJL.  It uses the ljet4 ghostscript driver.  This problem is that the
master-filter does not have an option to generate the PJL delimiter
command.  This causes a printer that supports PJL to consider the print
job pending even after it has completed.  The net result is that the
printer will not go into power save mode.

Here is a patch to fix master-filter to have a PJL option.  That option
would need a check box on printtool and an extra options box.  The extra
PJL options can be used for multi-language printers, for example:


--- /usr/lib/rhs/rhs-printfilters/master-filter Wed Aug 30 12:28:56 2000
+++ ./master-filter     Wed Dec  6 11:44:32 2000
@@ -378,9 +378,26 @@

+#   see if we need to send PJL commands
+    if [ "$SEND_PJL" != "" ]; then
+      printf '\033%%-12345X'
+    fi
+    if [ "$EXTRA_PJL_OPTIONS" != "" ]; then
+      printf "$EXTRA_PJL_OPTIONS"
+    fi
 # run the command!
     eval $bestpath 2>/dev/null
+#   see if we need to send PJL commands
+    if [ "$SEND_PJL" != "" ]; then
+      printf '\033%%-12345X'
+    fi

Comment 1 Crutcher Dunnavant 2001-03-27 15:42:25 EST
rhs-printfilters is not going to be gaining new functionality, as we've written
a new system, printconf, to replace it. I believe that the linuxprinting.org
backend that printconf lays upon has these capabilities.

Note You need to log in before you can comment on or make changes to this bug.